// Google font
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500&family=Manrope:wght@800&family=Roboto:wght@400;500&display=swap");
@import "./modules/brand.scss";
@import "./modules/cta.scss";
@import "./modules/feature.scss";
@import "./modules/hero.scss";
@import "./modules/hiw.scss";
@import "./modules/service01.scss";
@import "./modules/service02.scss";
@import "./modules/testimonial.scss";
@import "./modules/footer.scss";
@import "./modules/scrollToTop.scss";
@import "./modules/splitting.scss";

$font-stack: "Inter", sans-serif;

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

// <------------------ START css slick dot, btn --------------------------->
body .slick-dots li {
  button:before {
    font-size: 15px;
    color: #f85a47;
  }
  margin: 0 10px;
}

body .slick-dots li.slick-active button:before {
  opacity: 0.75;
  color: #f85a47;
}

body .slick-prev:before,
body .slick-next:before {
  font-size: 27px;
}

body .slick-next::before,
body .slick-prev::before {
  color: #f85a47;
}
// <------------------ END css slick dot, btn --------------------------->

button:focus {
  box-shadow: none !important;
}

.checkIn__info {
  margin-bottom: 10px;
}

.input-group {
  &-text {
    background-color: #ffe5bf;
  }
}
.ui-widget-header {
  .ui-datepicker-prev,
  .ui-datepicker-next {
    &:hover {
      .ui-icon {
        background-image: url(https://code.jquery.com/ui/1.10.4/themes/ui-lightness/images/ui-icons_ef8c08_256x240.png) !important;
      }
    }
    .ui-icon {
      background-image: url(https://code.jquery.com/ui/1.10.4/themes/ui-lightness/images/ui-icons_ffffff_256x240.png) !important;
    }
  }
}

.ui-datepicker {
  &-header {
    background-color: #f85a47 !important;
    color: white !important;
  }
  &-calendar {
    .ui-state-default {
      border: 1px #f85a47 solid !important;
      border-radius: 3px;
    }
    .ui-state-hover {
      background-color: rgb(255, 184, 184) !important;
      color: white !important;
    }
    .ui-state-highlight {
      background-color: #ffa399 !important;
      color: white !important;
    }
    .ui-state-active {
      background-color: #f85a47 !important;
      color: white !important;
    }
  }
}

.modal {
  svg {
    cursor: pointer;
  }
  &-header {
    background-color: #f85a47;
    color: white;
  }
  &-footer {
    button {
      background-color: #f85a47 !important;
    }
  }
  button {
    outline: none;
  }
  #datepicker {
    &:focus-visible {
      outline: none;
    }
    padding: 10px;
    width: calc(100% - 42px);
    border: #ffb3aa solid 2px;
    border-radius: 3px;
  }
}

#resultModal {
  .modal-footer {
    justify-content: center;
    color: #f85a47;
    font-size: 15px;
  }
}

.dropdown-toggle::after {
  margin-left: 10px;
}

.leaflet-control-geocoder-alternatives {
  height: 200px;
  overflow-y: scroll;
  width: 100% !important;
}

.leaflet-control-geocoder-form {
  margin-bottom: 3px;
}

.section__margin {
  margin-top: 90px;
}

.section__padding {
  padding: 20px 25px;
}

.topic {
  margin-bottom: 70px;
}

.linkActive {
  &::before {
    content: "";
    width: 74%;
    bottom: 3px;
    left: 14px;
    border-top: #878fbb 2px solid;
    position: absolute;
  }
  color: #1f2b6c;
  font-weight: 500;
  font-size: 18px;
}

.serviceActive {
  color: #f85a47;
  font-weight: 600;
}

.featureActive {
  font-weight: 600;
  color: #f85a47;
  border-bottom: 2px #f85a47 solid;
}

.disable {
  display: none;
}

// Responsive

@media screen and (max-width: 1199px) {
  .topic {
    margin-bottom: 40px;
  }
  .hero {
    &__bg02 {
      display: none;
    }
    &__bg {
      width: 100%;
      background: linear-gradient(
          rgba(233, 236, 255, 0.8),
          rgba(227, 247, 255, 0.3)
        ),
        url(../assets/Image.png) no-repeat fixed;
      background-size: cover;
      img {
        display: none;
      }
      height: 610px;
    }
    &__intro {
      &__header {
        h1 {
          font-size: 55px;
          line-height: 1.2;
        }
      }
      &__body,
      h1 {
        padding: 0;
      }
      padding: 0 130px;
      text-align: center;
      &__body {
        color: black;
        font-weight: 500;
      }
    }
    &__card {
      &__content {
        h2 {
          font-size: 28px;
        }
      }
      margin-top: 160px;
    }
    background-color: #fff3f3;
  }
  .service02 {
    padding: 55px 84px 50px 435px;
  }
  .service01 {
    &__location__name {
      align-items: center;
    }
    &__head {
      text-align: center;
      width: 100%;
    }
    margin-left: 0;
  }
  .cta {
    &__content {
      &__head {
        h2 {
          font-size: 38px;
        }
      }
    }
    padding: 92px 82px 72px 277px;
  }
}

@media screen and (max-width: 991px) {
  .linkActive::before {
    display: none;
  }
  .section__margin {
    margin-top: 85px;
  }
  .hero {
    .col-lg-4:last-child {
      .hero__card__content {
        margin-bottom: 0;
      }
    }
    &__intro {
      &__header {
        h1 {
          font-size: 50px;
        }
      }
      padding: 0 70px;
    }
    &__bg {
      height: 720px;
    }
    &__subMenu {
      &__location,
      &__checkOut,
      &__checkIn {
        border-bottom: 20px;
        margin-bottom: 20px;
        width: 150px;
      }
      &__btn {
        display: flex;
        justify-content: center;
        width: 100%;
      }
      &__rent {
        display: none;
      }
      flex-wrap: wrap;
      justify-content: space-around;
    }
    &__card {
      &__content {
        margin-bottom: 10px;
      }
    }
  }
  .cta,
  .service02 {
    &__content {
      &__btn {
        text-align: center;
      }
      &__body {
        .col-md-4 {
          text-align: center;
        }
      }
      &__head {
        h2,
        h3 {
          line-height: 1.2;
        }
      }
    }
    &__img {
      left: 115px;
      width: 540px;
    }
    text-align: center;
    padding: 555px 30px 30px 30px;
    margin-left: 0;
  }
  .feature {
    &__topic {
      div h3 {
        font-size: 35px;
        line-height: 1.2;
      }
    }
    &__tab {
      margin-bottom: 20px;
      font-size: 17px;
      margin-right: 20px;
    }
    &__tabs {
      display: none;
    }
    &__drop {
      display: block;
    }
  }
  .hero__menu {
    &__link {
      margin: 0;
    }
  }
  .testimonial {
    &__topic {
      h3 {
        font-size: 35px;
        line-height: 1.2;
      }
      width: 100%;
      text-align: center;
    }
  }
  .hiw {
    &__content-item {
      p {
        margin-top: 0;
      }
    }
  }
  .cta {
    &__content {
      &__head {
        h2 {
          font-size: 31px;
          line-height: 1.2;
        }
        p {
          font-size: 16px;
        }
      }
    }
    &__img {
      left: 180px;
      width: 360px;
      top: -90px;
    }
    .section__margin {
      margin-top: 70px;
    }
    padding: 430px 40px 40px 40px;
  }
}

@media screen and (max-width: 768px) {
  body .slick-dots li {
    margin: 0 6px;
  }
  .modal {
    button {
      font-size: 14px !important;
      padding: 7px 10px !important;
    }
  }
  .section__margin {
    margin-top: 75px;
  }
  .service02 {
    &__content {
      &__btn {
        button {
          margin-top: 0;
          font-size: 14px;
          padding: 7px 12px;
        }
      }
      &__body {
        .col-md-4 {
          margin-top: 20px;
        }
      }
    }
    &__img {
      width: 430px;
      left: 72px;
    }
    padding: 400px 30px 30px 30px;
  }
  .cta {
    &__content {
      &__head {
        h2 {
          font-size: 28px;
        }
      }
      &__btn {
        button {
          font-size: 14px;
          padding: 7px 10px;
        }
      }
    }
    &__img {
      left: 90px;
      width: 340px;
    }
    margin-top: 160px;
    padding: 410px 35px 35px 35px;
  }
  .brand {
    &__logo {
      margin: 0;
      margin-bottom: 50px;
    }
  }
  .hero {
    &__bg {
      height: 430px;
    }
    &__subBtn {
      button {
        background-color: #1b62f8;
        font-size: 14px;
      }
      display: flex;
      margin-top: 30px;
    }
    &__subMenu {
      &__bg {
        background-color: rgba(131, 131, 131, 0.3);
        position: fixed;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        z-index: 10;
        display: none;
        transition: all 1s ease;
      }
      &__btn {
        button {
          font-size: 14px;
        }
        width: 100%;
        flex: none;
      }
      strong {
        font-size: 16px;
      }
      div div {
        font-size: 14px;
      }
      &__rent {
        display: none;
      }
      box-shadow: 0 -10px 55px 0 #888888 !important;
      animation: subMenuAppear 0.5s forwards;
      justify-content: space-around;
      position: absolute;
      bottom: 0;
      width: 100%;
      border-radius: 0%;
    }
    &__intro {
      padding: 0;
      &__header {
        h1 {
          font-size: 40px;
        }
      }
    }
    &__card {
      margin-top: 100px;
    }
    &__menu {
      &__link {
      
        font-size: 16px;
      }
      &__button {
        button {
          padding: 8px 12px;
        }
      }
    }
  }
  .feature {
    &__drop {
      .dropdown {
        button {
          font-size: 14px;
          padding: 7px 10px;
        }
      }
      margin-bottom: 40px;
    }
    &__img {
      &__btn:nth-child(2) {
        left: 28px;
      }
      &__btn:last-child {
        left: 115px;
      }
      img {
        width: 280px;
      }
      margin: 0;
      padding: 0 15px;
    }
    &__topic {
      div {
        h3 {
          font-size: 28px;
        }
        width: 100%;
        margin-right: 10px;
      }
      button {
        font-size: 14px;
        padding: 7px 10px;
      }
    }
    &__tab {
      margin-right: 15px;
    }
  }
  .hiw {
    &__topic {
      h2 {
        font-size: 28px;
      }
    }
    margin-top: 20px;
  }
  .footer {
    &__item {
      p {
        margin-bottom: 6px;
        font-size: 14px;
        margin-right: 10px;
      }
    }
    justify-content: flex-start;
  }
  .testimonial {
    &__topic {
      h3 {
        font-size: 28px;
      }
    }
    &__card {
      height: 335px;
      padding: 40px 36px;
    }
  }
  .service01 {
    &__location {
      &__items {
        img {
          width: 200px;
        }
        div {
          padding: 0 15px;
          margin: 0;
        }
      }
      &__name {
        .service01__drop {
          display: block;
        }
        span {
          display: none;
        }
      }
    }
    &__drop {
      .dropdown {
        button {
          font-size: 14px;
          padding: 7px 10px;
        }
      }
    }
    margin-top: 25px;
  }
  body .slick-dots li button:before {
    font-size: 13px;
  }
}

@media screen and (max-width: 554px) {
  body .slick-dots li {
    margin: 0 3px;
  }
  .modal {
    &-header {
      h5 {
        font-size: 17px;
      }
      height: 50px;
    }
    &-body {
      strong {
        font-size: 14px;
      }
    }
  }
  body .leaflet-control-geocoder-form input {
    width: fit-content;
  }
  .leaflet-control-geocoder {
    width: 220px;
  }
  .hero {
    &__subMenu {
      div {
        padding-left: 0;
      }
      &__location {
        div {
          text-align: center;
        }
        div:last-child {
          display: block !important;
          text-align: center;
          width: unset !important;
        }
        padding-bottom: 20px;
        border-bottom: #f85a47 solid 1px;
        width: 100%;
      }
      &__checkIn,
      &__checkOut {
        width: 50%;
        border-left: none;
      }
      align-items: center;

      &__location,
      &__checkIn,
      &__checkOut {
        text-align: center;
        margin-bottom: 30px;
      }
    }
  }
  .hiw__content-item button {
    img {
      width: 20px;
      height: 20px;
    }
    width: 70px;
    height: 70px;
  }
}

@media screen and (max-width: 550px) {
  body {
    p {
      font-size: 14px !important;
    }
  }
  .topic {
    margin-bottom: 20px;
  }
  .hero {
    .navbar-toggler {
      svg {
        width: 28px;
      }
      width: 40px;
      height: 40px;
      padding: 0;
    }
    &__intro {
      &__header h1 {
        font-size: 32px;
      }
    }
    &__card {
      &__content h2 {
        line-height: 1.2;
        font-size: 20px;
      }
      margin-left: 6px;
      margin-top: 80px;
    }
    &__menu {
      &__logo {
        img:first-child {
          width: 30px;
        }
        img:last-child {
          width: 75px;
        }
      }
      &__button button,
      &__link {
        font-size: 15px;
      }
    }
  }
  .testimonial {
    &__topic {
      h3 {
        font-size: 20px;
      }
    }
  }
  .service01__head {
    h2 {
      font-size: 20px;
    }
  }
  .cta {
    &__content__head h2 {
      font-size: 20px;
    }
    &__img {
      img {
        border-radius: 50px 0;
      }
      left: 17%;
      width: 65%;
    }
    margin-top: 180px;
    border-radius: 0 50px;
    padding: 65% 30px 30px 30px;
  }
  .service02 {
    &__content__head h3 {
      font-size: 20px;
    }
    &__img {
      left: 17%;
      width: 77%;
    }
    padding: 70% 30px 30px 30px;
  }
  .feature {
    &__img {
      img {
        width: 240px;
      }
    }
    &__tab {
      font-size: 16px;
    }
    &__topic div {
      h3 {
        font-size: 20px;
      }
    }
  }
  .hiw {
    &__topic {
      h2 {
        font-size: 20px;
      }
    }
    &__content-item {
      span {
        font-size: 18px;
      }
    }
    margin-top: 30px;
  }
  .service01 {
    &__location__items {
      div {
        padding: 0 10px;
      }
      img {
        width: 180px;
      }
    }
  }
  .brand__logo {
    img {
      margin-right: 20px;
      margin-bottom: 20px;
    }
  }
  .footer {
    &__item {
      &:first-child {
        width: 100%;
      }
      p {
        margin-right: 0;
      }
    }
    justify-content: space-between;
  }
  body .slick-dots li button:before {
    font-size: 11px;
  }
  .dropdown-menu {
    font-size: 14px;
  }
  .modal-body {
    .mt-4 {
      font-size: 14px;
    }
  }
}

@media screen and (max-width: 406px) {
  .brand {
    &__logo {
      justify-content: space-evenly;
    }
  }
  .hero__bg {
    height: 470px;
  }
}

@media screen and (max-width: 380px) {
  .footer {
    &__item {
      &:nth-child(5) {
        width: 100%;
      }
    }
    margin-left: 10px;
  }
}
@media screen and (max-width: 292px) {
  .hero__bg {
    height: 520px;
  }
}

@keyframes subMenuAppear {
  from {
    transform: translateY(100px);
    opacity: 0;
  }
  to {
    transform: translateY(0px);
    opacity: 1;
  }
}
